import { Observable } from 'rxjs';
import { Todo, Todos } from '@core/models/todo';

export abstract class TodoService {
  abstract getAll(): Observable<Todos>;
  abstract add(todoName: string): Observable<Todo>;
  abstract toggleCompleted(todoId: number): Observable<Todo>;
  abstract remove(todoId: number): Observable<void>;
}
